ProvlyDocs

Search docs

Guides and API endpoints

DocsAPI referenceProductsSearch products

Search products

GET/api/v1/products

Product research: products found in ads. Presets: new_winners (found in the last 14 days, 2+ active ads), scaling (5+ active ads), evergreen (an ad running 30+ days), on_sale, fresh_products (added to the store in the last 30 days).

Bearer API keyMCP tool search_products

Query parameters

querystring

Product title keywords.

presetstring

A ready-made research filter.

new_winnersscalingevergreenon_salefresh_products
nichesstring[]

Niche slugs.

shopstring

Store domain.

price_minnumber

Minimum price.

price_maxnumber

Maximum price.

sortstringdefault active_ads

Order.

active_adsnewestprice_ascprice_desclongest
limitintegerdefault 20

Results per page, 1–50.

Try it

GET/api/v1/products
curl "https://provly.co/api/v1/products" \
  -H "Authorization: Bearer $PROVLY_API_KEY"
200 · Response
{
  "data": [
    {
      "id": "pawfect.co:autobox",
      "title": "AutoBox self-cleaning litter box",
      "shop": "pawfect.co",
      "url": "https://pawfect.co/products/autobox",
      "image": "https://media.provly.co/products/autobox.jpg",
      "price": 3999,
      "compare_at_price": 5499,
      "currency": "TRY",
      "active_ads": 9,
      "total_ads": 23,
      "longest_running_days": 86,
      "platforms": [
        "facebook",
        "instagram"
      ],
      "niches": [
        "pet-supplies"
      ],
      "added_to_store_at": "2026-06-18T00:00:00.000Z",
      "provly_url": "https://provly.co/app/products/pawfect.co%3Aautobox"
    }
  ],
  "pagination": {
    "total": 1284,
    "next_cursor": null
  }
}